- Qt 5.15
- Qt Sensors
- C++ Classes
- QProximityReading
- Qt 5.15.11 Reference Documentation

# QProximityReading Class

The QProximityReading class represents one reading from the proximity sensor. More...

Header: | #include <QProximityReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- close : const bool

## Public Functions

bool | close() const
void | setClose(bool close)

## Detailed Description

The proximity sensor can only indicate if an object is close or not.

The distance at which an object is considered close is device-specific. This distance may be available in the QSensor::outputRanges property.

## Property Documentation

### close : const bool

This property holds a value indicating if something is close.

Set to true if something is close. Set to false is nothing is close.

Access functions:

bool | close() const

See also QProximityReading_Units.

## Member Function Documentation

### void QProximityReading::setClose(bool close)

Sets the close value to close.

See also close().